Bug 221832 - Logwatch doesn't understand /var/log/samba/cores
Logwatch doesn't understand /var/log/samba/cores
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 08:09 EST by david.hagood
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: logwatch-7.3.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 04:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar of /var/log/samba (200 bytes, application/octet-stream)
2007-01-09 11:26 EST, david.hagood
no flags Details

  None (edit)
Description david.hagood 2007-01-08 08:09:55 EST
Description of problem:
Logwatch is not set up to handle the /var/log/samba/cores directory - it tries
to treat it as a normal file. This causes logwatch to emit an error message
every time it runs, and thus to generate an email to root every day.

Version-Release number of selected component (if applicable):
logwatch-7.3.1-7.fc7
samba-3.0.23c-2


How reproducible:
Every time

Steps to Reproduce:
1. Install logwatch
2. Install samba and start
3. wait for cron job to run.

  
Actual results:
Logwatch errors with the following email sent to root:

/etc/cron.daily/0logwatch:

cat: /var/log/samba/cores: Is a directory

Expected results:
Logwatch should not generate errors during run.

Additional info:
Comment 1 Ivana Varekova 2007-01-09 06:33:03 EST
Please could you attach file from your log directory in which are the samba logs
here.
Comment 2 david.hagood 2007-01-09 07:25:12 EST
I don't understand what you are asking for - are you asking me to create a
tarball of my /var/log/samba directory?
Comment 3 Ivana Varekova 2007-01-09 07:51:14 EST
Yes - I want to see the structure of /var/log/samba, and I want to see which
files contains which logs.
Comment 4 david.hagood 2007-01-09 11:26:51 EST
Created attachment 145173 [details]
tar of /var/log/samba

I've nulled out the actual log files to protect my system privacy, but you can
see the directory structure.
Comment 5 Ivana Varekova 2007-01-10 04:33:07 EST
This problem is fixed in logwatch-7.3.2-2.fc7.

Note You need to log in before you can comment on or make changes to this bug.